<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="reubication"
            type="es.verdnatura.presentation.view.feature.claim.fragment.reubication.model.Reubication" />
    </data>

    <LinearLayout
        android:id="@+id/linear_main"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/layout_margin_1"
        android:layout_marginBottom="@dimen/layout_margin_min"


        android:orientation="vertical"


        >
        <!--CABECERA=================================================-->


        <LinearLayout

            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/verdnatura_white"
            android:orientation="horizontal"
            android:padding="@dimen/layout_margin_min"
            android:textColor="@color/verdnatura_black">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/layout_margin_min"
                android:text="@string/wagoon"
                android:textColor="@color/verdnatura_black"
                android:textSize="@dimen/h8" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/layout_margin_min"
                android:text="@{reubication.code}"
                android:textColor="@color/verdnatura_black"
                android:textSize="@dimen/h8"
                android:textStyle="bold"
                tool:text="XXX" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/layout_margin_min"
                android:text="@string/code"
                android:textColor="@color/verdnatura_black"
                android:textSize="@dimen/h8"
                android:visibility="gone" />


        </LinearLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/content_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/verdnatura_background_item_picker"
            android:paddingTop="@dimen/layout_margin_min"
            android:paddingBottom="@dimen/layout_margin_min">

            <TextView
                android:id="@+id/item_article_itemFk"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/layout_margin_min"
                android:layout_marginEnd="@dimen/layout_margin_min"
                android:maxLines="1"
                android:text="@{String.valueOf(reubication.itemFk)}"
                android:textColor="@color/verdnatura_white"
                android:textSize="@dimen/body1"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tool:text="85478" />


            <TextView
                android:id="@+id/item_article_quantity"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/layout_margin_min"
                android:paddingStart="10dp"
                android:paddingEnd="10dp"
                android:text="@{String.valueOf(reubication.quantity)}"
                android:textColor="@color/verdnatura_white"
                android:textSize="@dimen/body1"
                android:textStyle="bold"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tool:text="10" />

            <TextView
                android:id="@+id/item_article_quantity_line1"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:maxLines="1"
                android:text="@{reubication.longName}"
                android:textColor="@color/verdnatura_white"
                android:textSize="@dimen/body1"
                app:layout_constraintStart_toStartOf="@+id/item_article_itemFk"
                app:layout_constraintTop_toBottomOf="@+id/item_article_itemFk"
                tool:text="información de la linea 1" />


            <LinearLayout
                android:id="@+id/linearLayoutColor"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent">

            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <LinearLayout
            android:id="@+id/layout_error"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="gone">

            <TextView
                android:id="@+id/txt_error"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/verdnatura_red"
                android:textColor="@color/verdnatura_white"
                tool:text="Cantidad original 100" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/verdnatura_white" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/item_article_placements"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/verdnatura_background_item_picker"
            android:clipToPadding="false"

            tools:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/item_placement_reubication_row"
            tools:orientation="horizontal" />
    </LinearLayout>
</layout>